SystemOrganization addCategory: #BaselineOfBabelsbergS!

BaselineOf subclass: #BaselineOfBabelsbergS
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'BaselineOfBabelsbergS'!

!BaselineOfBabelsbergS methodsFor: 'as yet unclassified' stamp: 'tfel 12/5/2014 01:45'!
baseline: spec
	<baseline>
	
	spec for: #common do: [
		spec project: 'Widgets' with: [
			spec
				className: 'BaselineOfWidgets';
				repository: 'github://marceltaeumel/widgets:master/repository';
				loads: #(full)].
		
		spec project: 'ContextS2' with: [
			spec
				className: 'ConfigurationOfContextS';
				repository: 'http://www.squeaksource.com/MetacelloRepository'].

		spec package: 'OSProcess' with: [
			spec repository: 'http://www.squeaksource.com/OSProcess'].

		spec package: 'MethodWrappers' with: [
			spec repository: 'http://hpi.uni-potsdam.de/hirschfeld/squeaksource/SwaUtilities'].

		spec package: 'Cassowary'.
		spec package: 'Sudoku' with: [spec requires: #('Widgets')].
		spec package: 'Puzzles' with: [spec requires: #('Sudoku')].
		spec package: 'Constraints' with: [
			spec requires: #('MethodWrappers' 'OSProcess' 'ContextS2' 'Cassowary' 'Puzzles')].
		spec package: 'ConstraintsDebugger' with: [
			spec requires: #('Constraints')].
		spec package: 'Babelsberg-Tests' with: [
			spec required: 'Constraints'].
		
		spec
			group: 'default' with: #('core');
			group: 'core' with: #('Constraints' 'ConstraintsDebugger');
			group: 'dev' with: #('Babelsberg-Tests')].
! !
